#!/usr/bin/env bash

# Benchmark info
echo "TIMING - Starting main script at: $(date)"

# Set working directory to home directory
cd "${HOME}"

#
# Start Jupyter Notebook Server
#

# Purge the module environment to avoid conflicts
module purge

# this is temporary fix, custom commands should be specified via 
if [ -f ${HOME}/.ondemandrc-jupyter ]; then
   source ${HOME}/.ondemandrc-jupyter
fi

# Load the require modules
module add anaconda3-2019.10
source /cvmfs/software.metacentrum.cz/software/anaconda/python37/2019-10/etc/profile.d/conda.sh

module list

# If user specified custom command(s), run them now
if [ -z "" ]; then
  echo "Custom command not specified, proceeding..."
else
  echo "Custom_command specified: "
  
  if [ $? -eq 0 ]; then # checking for the return code of last command only, however
    echo "Custom command OK"
  else
    echo "Warning! Command   failed." # killing the whole stuff does not seem reasonable...
  fi
fi

mkdir -p ${HOME}/R/x86_64-redhat-linux-gnu-library/
export R_LIBS=${HOME}/R/x86_64-redhat-linux-gnu-library/


# Benchmark info
echo "TIMING - Starting jupyter at: $(date)"

# Launch the Jupyter Notebook Server
set -x
/cvmfs/software.metacentrum.cz/software/anaconda/python37/2019-10/bin/jupyter notebook --config="${CONFIG_FILE}" 
