#!/bin/bash

# Clean the environment
module purge

#Set working directory to home directory
cd "${HOME}"

/usr/bin/Xorg &

#
# Launch Xfce Window Manager and Panel
#

(
  export SEND_256_COLORS_TO_REMOTE=1
  export XDG_CONFIG_HOME="/storage/brno3-cerit/home/zvon/ondemand/data/sys/dashboard/batch_connect/sys/VMD/output/b6d2efd9-c98a-41bb-bd83-aeb19975ad2f/config"
  export XDG_DATA_HOME="/storage/brno3-cerit/home/zvon/ondemand/data/sys/dashboard/batch_connect/sys/VMD/output/b6d2efd9-c98a-41bb-bd83-aeb19975ad2f/share"
  export XDG_CACHE_HOME="$(mktemp -d)"
  xfwm4 --compositor=off --daemon --sm-client-disable
  xsetroot -solid "#D3D3D3"
  xsettingsd --sm-client-disable
  xfce4-panel --sm-client-disable
) &

#
# Start VMD
#
echo "Launching VMD"
module add vmd-1.9.3
export PATH=/cvmfs/software.metacentrum.cz/software/virtualgl/2.6.3/bin/:$PATH

# Output debug info
module list

apt install -y mesa-utils

vglrun glxinfo

cat /etc/X11/xorg.conf

# Launch VMD
set -x
xfce4-terminal -e 'bash -c "vglrun vmd >/tmp/vmd_out 2>/tmp/vmd_err ; echo DONE >> /tmp/vmd_out; echo DONE >> /tmp/vmd_err"' -T "VMD Terminal" --disable-server

echo "OUT:"
cat /tmp/vmd_out
echo ""
echo "ERR:"
cat /tmp/vmd_err
cat /var/log/Xorg.0.log
